# Responsive examples - Responsive DataTables

# Responsive example Responsive DataTables

### Basic initialisation

- Class name
- Configuration option
- `new` constructor
- Ajax data

### Styling

- Bootstrap styling
- Foundation styling

### Display control

- Automatic column hiding
- Class control
- Assigned class control

### Child rows

- Disable child rows
- Column controlled child rows
- Column control - right
- Whole row child row control
- Custom child row renderer

Please refer to the DataTables documentation for full information about its API properties and methods.
Additionally, there are a wide range of extras and plug-ins which extend the capabilities of DataTables.

DataTables designed and created by SpryMedia Ltd © 2007-2014
DataTables is licensed under the MIT license.